Saltar al contingut principal
GET
/
v1
/
organizations
/
{organization_id}
/
patch-policy-targets
Llistar objectius de política de pedaços
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "has_next": false, "data": [ { "id": "66ab6cf4d4d2e709bafd404c", "name": "Base", "created_by": "6439606652fc0c0051f1787b", "created_at": "2024-08-01T11:09:40.719Z", "timezone": "UTC", "should_restart": true, "wake_on_lan": true, "force_patching_configuration": false, "is_in_maintenance": false, "weeks": [ 1, 2 ], "schedule": { "MONDAY": {}, "TUESDAY": {}, "WEDNESDAY": {}, "THURSDAY": { "9": [ 15, 30, 45 ], "10": [ 0, 15, 30, 45 ], "11": [ 0, 15, 30, 45 ], "12": [ 0, 15, 30, 45 ], "13": [ 0, 15, 30, 45 ], "14": [ 0, 15, 30, 45 ], "15": [ 0 ] }, "FRIDAY": {}, "SATURDAY": {}, "SUNDAY": {} }, "patch_policy_target_type": "windows", "patch_policy_id": "507f1f77bcf86cd799439011" } ] }

Autoritzacions

Authorization
string
header
requerit

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paràmetres de ruta

organization_id
string
requerit

El identificador únic de l'organització

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Paràmetres de consulta

page
integer
predeterminat:1

Número de pàgina (predeterminat: 1)

Rang requerit: x >= 1
per_page
integer
predeterminat:100

Elements per pàgina (predeterminat: 100, màx.: 100)

Rang requerit: 1 <= x <= 100
sort
string

Camp de ordenació amb sufix d'ordre opcional (:asc o :desc). Useu els noms de les propietats de la resposta. Camps vàlids: id, name, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, patch_policy_target_type. Exemple: "name:asc" o "created_at:desc"

fields
string

Llista de camps separada per comes per incloure en cada element d'objectiu de política de pedaços. Camps seleccionables: id, name, created_by, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, weeks, schedule, patch_policy_target_type, patch_policy_id. El camp id sempre s'inclou.

Maximum string length: 2048
filters
string

Filtre objectius de política de parxes per un o més criteris. Proporcioneu un objecte JSON amb condicions de filtre. Es pot filtrar per qualsevol camp retornat en la resposta. Useu operadors de comparació (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) i combineu múltiples condicions amb operadors lògics (and, or). Longitud màxima: 5120 caràcters.

Maximum string length: 5120

Resposta

Llista paginada d'objectius de política de parxes recuperada correctament.

has_next
boolean
requerit

Indica si hi ha més resultats disponibles a la següent pàgina

data
object[]
requerit

Arreglament d'objectes de destí de política de pegats